Download it now!
Bug 90242 - SIDEBAR: Navigator in Draw/Impress incorrectly naming, numbering and iconifying objects
Summary: SIDEBAR: Navigator in Draw/Impress incorrectly naming, numbering and iconifyi...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: low trivial
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 90244 Navigator
  Show dependency treegraph
 
Reported: 2015-03-26 04:24 UTC by Yousuf Philips (jay) (retired)
Modified: 2019-12-03 14:35 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshot (114.57 KB, image/png)
2015-03-26 04:24 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2015-03-26 04:24:53 UTC
Created attachment 114361 [details]
screenshot

Looking in the navigator tab of the sidebar in impress and draw, we can see that things are incorrectly being labelled as 'Shape X', even when they are not shapes. Wrong icons are also placed beside the incorrectly named shapes. Even the numbering is off when it deals with unnamed shapes, as can be seen in the attached screenshot, as the numbering gets reset when it jumps into a group.

Version: 4.5.0.0.alpha0+
Build ID: 38c22ed2b8b8f3530b8a0fe5a23a329e8e511c76
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:master, Time: 2015-03-24_13:02:39
Comment 1 Cor Nouws 2015-03-26 09:23:36 UTC
A text box also is some sort of 'shape' ?
Comment 2 Yousuf Philips (jay) (retired) 2015-03-26 11:17:08 UTC
(In reply to Cor Nouws from comment #1)
> A text box also is some sort of 'shape' ?

Yes it could be considered a shape, thought it is normally referred to as a frame, it should be labelled as a Text box/frame similar to how we label it 'Text Frame' in the statusbar.

Same goes for inserting an image being labelled as a shape when the statusbar displays 'Bitmap'.

If a user is to distinguish between all these objects being labelled 'Shape' in navigator, unless he names each of them himself, he wouldnt know what it was.
Comment 3 Buovjaga 2015-03-31 09:12:58 UTC
Confirmed.

Win 7 Pro 64-bit Version: 4.5.0.0.alpha0+
Build ID: 8c3cf9dd48e40604867d3a28bddaccd65142df17
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2015-03-27_15:15:18
Locale: fi_FI
Comment 4 QA Administrators 2016-09-20 09:32:12 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2019-12-03 14:35:00 UTC
Dear Yousuf Philips (jay),

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug